cURL
curl --request GET \ --url https://api.muvi.video/v1/uploads/{id} \ --header 'Authorization: Bearer <token>'
{ "id": "<string>", "filename": "<string>", "contentType": "<string>", "fileUrl": "<string>", "status": "<string>", "createdAt": "<string>", "expiresAt": "<string>" }
Check the status of a temporary file upload.
Authorization: Bearer YOUR_API_KEY
pending
expired
NOT_FOUND
curl https://api.muvi.video/v1/uploads/3f44e3c6-acd9-4cc3-a91b-e63ec517b383 \ -H "Authorization: Bearer YOUR_API_KEY"
{ "success": true, "data": { "id": "3f44e3c6-acd9-4cc3-a91b-e63ec517b383", "filename": "my-image.png", "contentType": "image/png", "fileUrl": "https://assetsv1.cdn.muvi.video/temp/user_abc123/uuid_my-image.png", "status": "pending", "createdAt": "2026-02-25T10:42:21.949Z", "expiresAt": "2026-02-25T11:42:21.949Z" }, "requestId": "req_abc123" }